<?php

namespace CouponsPlus\App\Conditions\Stubs\Conditions;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class Holidays implements DashboardCardData
{
    const TYPE = 'Holidays';

    static public function getName() : string
    {
        return __('Holidays', 'coupons-plus-for-woocommerce');
    }

    static public function getDescription() : string
    {
        return __('Schedule conditions based on holidays and special dates, like Christmas, Black Friday, etc.', 'coupons-plus-for-woocommerce');
    }

    public static function getNotes() : array
    {
        return [
            __("This server's clock will be used instead of the customer's. Current timezone can be found in: Settings > General", 'coupons-plus-for-woocommerce')
        ];
    }
    static public function getUseCases(): Collection
    {
        return new Collection([
        ]);
    }
}
